/**
 * Required External Modules and Interfaces
 */
import express, {Request, Response} from 'express';
import logger from '../../../middleware/logger';

/**
 * Router Definition
 */
export const dataRouter = express.Router();

dataRouter.get('/', async (req: Request, res: Response) => {
    try {
        res.status(200).send('GET data');
    } catch (e) {
        logger.error('Error handling a request: ' + e.message);
        res.status(500).send({'message': 'Internal Server Error. Try again later.'});
    }
});

dataRouter.post('/', async (req: Request, res: Response) => {
    try {
        res.status(200).send('POST data');
    } catch (e) {
        logger.error('Error handling a request: ' + e.message);
        res.status(500).send({'message': 'Internal Server Error. Try again later.'});
    }
});
